> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders

> The endpoint returns a list of orders.



## OpenAPI

````yaml GET /v1/orders/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/:
    parameters: []
    get:
      tags:
        - Orders
      summary: List orders
      description: The endpoint returns a list of orders.
      operationId: orders_list
      parameters:
        - name: created_at__lte
          in: query
          required: false
          description: Filter `created_at` less than or equal (ISO-8601).
          schema:
            type: string
            format: date-time
        - name: created_at__gte
          in: query
          required: false
          description: Filter `created_at` greater than or equal (ISO-8601).
          schema:
            type: string
            format: date-time
        - name: source
          in: query
          required: false
          description: Filter by order source.
          schema:
            type: string
            example: floify
            enum:
              - floify
              - besmartee
              - lenderlogix
              - encompass_consumer_connect
              - byte
              - core_logic
              - xactus
              - constellation
              - banno
              - mx
              - q2
              - clutch
              - accio
              - encompass
              - tpo_connect
              - darkmatter
              - tazworks
              - internal
              - simplenexus
              - external_webpage
              - individual
              - self_signup
              - alkami
              - blue_sage
              - lodasoft
              - blend
              - tidalwave
        - name: status
          in: query
          required: false
          description: Filter by order status.
          schema:
            type: array
            example:
              - completed
            items:
              type: string
              enum:
                - pending
                - sent
                - completed
                - error
                - canceled
                - expired
                - no_data
                - skipped
        - name: products
          in: query
          required: false
          description: Filter by product type.
          schema:
            type: array
            example:
              - income
              - assets
            items:
              type: string
              enum:
                - income
                - employment
                - deposit_switch
                - pll
                - insurance
                - transactions
                - assets
                - credit
        - name: refresh
          in: query
          required: false
          description: >-
            Filter refresh orders: `only` returns refresh orders, `exclude`
            returns original orders.
          schema:
            type: string
            example: exclude
            enum:
              - only
              - exclude
        - name: order_manager_emails
          in: query
          required: false
          description: Comma-separated list of order manager emails to filter orders.
          schema:
            type: string
        - name: templates
          in: query
          required: false
          description: Comma-separated list of customization template IDs to filter orders.
          schema:
            type: string
        - name: search
          in: query
          required: false
          description: >-
            Search query by the following fields: id, applicant_report_id,
            voa_report_id, phone, email, order_number, loan_number,
            custom_field, first_name, last_name, company_name.
          schema:
            type: string
        - name: ordering
          in: query
          required: false
          description: >-
            Which field to use when ordering the results. The default is by
            descending `created_at`.
          schema:
            type: string
            example: '-created_at'
            enum:
              - created_at
              - '-created_at'
              - refreshed_at
              - '-refreshed_at'
              - order_number
              - '-order_number'
              - order_manager__email
              - '-order_manager__email'
              - notes
              - '-notes'
        - name: cursor
          in: query
          required: false
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          in: query
          required: false
          description: Number of results to return per page.
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrderListResponse'
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '429':
          description: HTTP 429 Too Many Requests
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
                example: 60
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
components:
  schemas:
    PaginatedOrderListResponse:
      type: object
      properties:
        next:
          description: URL to the next page of results
          type: string
          format: uri
          nullable: true
          example: https://prod.truv.com/v1/orders/?cursor=cD0yMDI2LTA0LTIx
        previous:
          description: URL to the previous page of results
          type: string
          format: uri
          nullable: true
          example: https://prod.truv.com/v1/orders/?cursor=cj0xJnA9MjAyNi0wNC0yMQ
        results:
          type: array
          items:
            $ref: '#/components/schemas/OrderListItem'
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Error429:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: throttled
            message:
              description: ''
              type: string
              example: Request was throttled.
    OrderListItem:
      required:
        - id
        - products
        - source
        - first_name
        - last_name
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 39aa1486ccca4bc19cda071ffc1ba392
        order_number:
          description: External ID
          type: string
          nullable: true
          example: '1534332'
        products:
          description: Types of products selected for the order
          type: array
          items:
            type: string
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
              - credit
          example:
            - income
            - assets
        source:
          description: Type of the platform (internal, accio, etc.)
          type: string
          example: floify
          enum:
            - floify
            - besmartee
            - lenderlogix
            - encompass_consumer_connect
            - byte
            - core_logic
            - xactus
            - constellation
            - banno
            - mx
            - q2
            - clutch
            - accio
            - encompass
            - tpo_connect
            - darkmatter
            - tazworks
            - internal
            - simplenexus
            - external_webpage
            - individual
            - self_signup
            - alkami
            - blue_sage
            - lodasoft
            - blend
            - tidalwave
        custom_field:
          description: >-
            User provided custom field. Must be enabled in the customization
            section.
          type: string
          nullable: true
        first_name:
          description: First name
          type: string
          example: John
        last_name:
          description: Last name
          type: string
          example: Doe
        short_share_url:
          description: Shortened verification URL to share
          type: string
          format: uri
          nullable: true
          example: https://truv.com/s/BIlEyh1A
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2026-04-21T21:45:14.418542Z'
        canceled_at:
          description: Date and time when order was canceled
          type: string
          format: date-time
          nullable: true
          example: '2026-04-22T21:45:14.418542Z'
        initial_order:
          description: >-
            ID of an origin order if the order was created by the order data
            refresh operation
          type: string
          nullable: true
          example: f5dc0239e2094dbc90ab2edc1918a9df
        refresh_order:
          description: >-
            ID of the last refresh order created by the order data refresh
            operation for the order
          type: string
          nullable: true
          example: 9b96606355b94e8abff8ed8d75aa2027
        manager:
          description: Order manager info associated with an order.
          required:
            - email
          type: object
          nullable: true
          properties:
            email:
              description: Email of the order manager
              type: string
              format: email
              example: john.doe@example.com
              maxLength: 255
            name:
              description: Name of the order manager
              type: string
              example: John Doe
              maxLength: 600
        loan:
          $ref: '#/components/schemas/OrderListLoanInline'
        template:
          $ref: '#/components/schemas/OrderListTemplateInline'
        notes:
          description: Free text field for notes associated with the order
          type: string
          example: To be processed by John Doe
          nullable: true
          minLength: 1
          maxLength: 2000
        employers:
          description: List of employers
          type: array
          items:
            $ref: '#/components/schemas/OrderListEmployer'
        insurance:
          $ref: '#/components/schemas/OrderListInsurance'
        financial_accounts:
          description: List of financial accounts
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/OrderListBank'
    OrderListLoanInline:
      description: Loan Information
      required:
        - loan_number
      type: object
      nullable: true
      properties:
        loan_number:
          description: Loan identifier
          type: string
          example: MUUT220700012
          maxLength: 128
        originator_name:
          description: Name of the loan originator
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        originator_email:
          description: Email of the loan originator
          type: string
          format: email
          example: john@example.com
          maxLength: 255
          nullable: true
        loan_processor_name:
          description: Name of the loan processor
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        loan_processor_email:
          description: Email of the loan processor
          type: string
          format: email
          example: john@doe.com
          maxLength: 255
          nullable: true
    OrderListTemplateInline:
      description: Customization template applied to the order
      type: object
      nullable: true
      properties:
        id:
          description: ID of the template
          type: string
          example: 9b96606355b94e8abff8ed8d75aa2027
        name:
          description: Name of the template
          type: string
          example: My template
    OrderListEmployer:
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
          example: income
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2026-04-21T22:12:59.346109Z'
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, tax - tax documents, financial_accounts - bank
            data.
          type: string
          enum:
            - payroll
            - docs
            - tax
            - financial_accounts
            - null
          nullable: true
          example: payroll
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        was_attempted:
          description: Whether the user attempted this connection
          type: boolean
          example: true
    OrderListInsurance:
      description: Insurance connection, when this order includes the insurance product
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - insurance
          example: insurance
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2026-04-21T22:12:59.346109Z'
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        data_source:
          description: >-
            Source of data: insurance - insurance data, docs - user uploaded
            documents.
          type: string
          nullable: true
          enum:
            - insurance
            - docs
            - null
          example: insurance
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        was_attempted:
          description: Whether the user attempted this connection
          type: boolean
          example: true
    OrderListBank:
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - transactions
            - assets
          example: assets
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2026-04-21T22:12:59.346109Z'
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        data_source:
          description: 'Source of data: financial_accounts - bank data.'
          type: string
          enum:
            - financial_accounts
            - null
          nullable: true
          example: financial_accounts
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        was_attempted:
          description: Whether the user attempted this connection
          type: boolean
          example: true
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````